import requests

"""Achat d'une action par un actionnaire à une entreprise
    input : 
        - idBuyer : identifiant de l'actionnaire
        - idShare : identifiant de l'action
"""
def buy(idBuyer, idShare):
    url = '192.168.200.15/api/shares/buy'
    obj={'id':idBuyer,'share_id':idShare}
    r = requests.post(url, json=obj)
    print(r.text)

"""Affichage les actions possédées par un actionnaire
    input : 
        - idBuyer : identifiant de l'actionnaire
"""
def showSharesOf(idBuyer):
    url = '192.168.200.15/api/shareholders/'+idBuyer+'/shares'
    r = requests.get(url)
    print(r.text)

"""Affichage les informations d'une actions
    input : 
        - idShare : identifiant de l'action
"""
def showShare(idShare):
    url = '192.168.200.15/api/shares/'+idShare
    r = requests.get(url)
    print(r.text)

"""Affichage les actions en circulation sur le marché (possédées ou en vente) """
def showAllShares():
    url = '192.168.200.15/api/shares'
    r = requests.get(url)
    print(r.text)

"""Affichage les informations sur un actionnaire
    input : 
        - idBuyer : identifiant de l'actionnaire
"""
def showInfoBuyer(idBuyer):
    url='192.168.200.15/api/shareholders/'+idBuyer
    r=requests.get(url)
    print(r.text)

"""Affichage tous les actionnaires """
def showAllBuyers():
    url='192.168.200.15/api/shareholders/'
    r=requests.get(url)
    print(r.text)